# Couenne::CouenneUserInterface Class Reference

`#include <CouenneUserInterface.hpp>`

Inheritance diagram for Couenne::CouenneUserInterface:

List of all members.

## Public Member Functions
| CouenneUserInterface (Ipopt::SmartPtr< Ipopt::OptionsList > options_, Ipopt::SmartPtr< Ipopt::Journalist > jnlst_)
virtual | ~CouenneUserInterface ()
virtual bool | setupJournals ()
| Setup journals for printing.
virtual CouenneProblem * | getCouenneProblem ()=0
| Should return the problem to solve in algebraic form.
virtual Ipopt::SmartPtr < Bonmin::TMINLP > | getTMINLP ()=0
| Should return the problem to solve as TMINLP.
virtual bool | addBabPlugins (Bonmin::Bab &bab)
| Called after B&B object is setup.
virtual bool | writeSolution (Bonmin::Bab &bab)
| Called after B&B finished.
## Protected Attributes
Ipopt::SmartPtr < Ipopt::OptionsList > | options
Ipopt::SmartPtr < Ipopt::Journalist > | jnlst

## Detailed Description

Definition at line 32 of file CouenneUserInterface.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneUserInterface::CouenneUserInterface | ( | Ipopt::SmartPtr< Ipopt::OptionsList > | options_,
|  | Ipopt::SmartPtr< Ipopt::Journalist > | jnlst_ |
| ) |  |  | `[inline]`

Definition at line 38 of file CouenneUserInterface.hpp.

virtual Couenne::CouenneUserInterface::~CouenneUserInterface | ( |  | ) | `[inline, virtual]`

Definition at line 42 of file CouenneUserInterface.hpp.

## Member Function Documentation

virtual bool Couenne::CouenneUserInterface::setupJournals | ( |  | ) | `[inline, virtual]`

Setup journals for printing.

Default is to have one journal that prints to stdout.

Definition at line 47 of file CouenneUserInterface.hpp.

References jnlst.

virtual CouenneProblem* Couenne::CouenneUserInterface::getCouenneProblem | ( |  | ) | `[pure virtual]`

Should return the problem to solve in algebraic form.

NOTE: Couenne is (currently) going to modify this problem!

Implemented in Couenne::CouenneOSInterface, and Couenne::CouenneAmplInterface.

virtual Ipopt::SmartPtr<Bonmin::TMINLP> Couenne::CouenneUserInterface::getTMINLP | ( |  | ) | `[pure virtual]`

Should return the problem to solve as TMINLP.

Implemented in Couenne::CouenneOSInterface, and Couenne::CouenneAmplInterface.

virtual bool Couenne::CouenneUserInterface::addBabPlugins | ( | Bonmin::Bab & | bab | ) | `[inline, virtual]`

Called after B&B object is setup.

User should add plugins like cut generators, bound tighteners, or heuristics here.

Definition at line 65 of file CouenneUserInterface.hpp.

virtual bool Couenne::CouenneUserInterface::writeSolution | ( | Bonmin::Bab & | bab | ) | `[inline, virtual]`

Called after B&B finished.

Should write solution information.

Reimplemented in Couenne::CouenneOSInterface, and Couenne::CouenneAmplInterface.

Definition at line 79 of file CouenneUserInterface.hpp.

## Member Data Documentation

Ipopt::SmartPtr<Ipopt::OptionsList> Couenne::CouenneUserInterface::options`[protected]`

Definition at line 34 of file CouenneUserInterface.hpp.

Ipopt::SmartPtr<Ipopt::Journalist> Couenne::CouenneUserInterface::jnlst`[protected]`

Definition at line 35 of file CouenneUserInterface.hpp.

Referenced by setupJournals().

The documentation for this class was generated from the following file:

- CouenneUserInterface.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines